Google Languages Finder
Search the list of Google-supported languages by name to retrieve language codes for use in Google Search API requests.
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Filters languages based on a search string. The search is non-case-sensitive and returns all languages whose names contain the specified string.
Example:
frenchResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/finder/google-languages?query=string"[
{
"language_code": "fr",
"language_name": "French"
},
{
"language_code": "fy",
"language_name": "Frisian"
}
]{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}